Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development

Reply
Highlighted
New Contributor
Posts: 8
Registered: ‎08-19-2013
My Device: Z10
My Carrier: O2
Accepted Solution

New 10.2 Gold install - API error

Hi

Downloaded and installed 10.2 Gold today, when starting the QNX a window comes up trying to download and install SDK. However it cannot access the Blackberry 10 Native SDK update site. I have tried several times including via 'Update API Levels' in Help.

 

Firstly is this going to cause me any problems and if it is any ideas on how to fix?

 

Also noticed that at the top of the QNX (title bar) it now says C/C++ instead of QML, is OK too?

 

Cheers

 

Stuart

BlackBerry Development Advisor
Posts: 15,784
Registered: ‎07-09-2008
My Device: BlackBerry PRIV
My Carrier: Bell

Re: New 10.2 Gold install - API error

You will need to download a BlackBerry SDK in order to develop.  There isn't one bundled with the NDK anymore.  Do you have any firewall or proxy restrictions that could be blocking the connection?

 

For the change in the title bar this just depends which perspective you are in.  You can change it using the "Open Perspective" icon near the top right of the toolbar.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
New Contributor
Posts: 8
Registered: ‎08-19-2013
My Device: Z10
My Carrier: O2

Re: New 10.2 Gold install - API error

Hi Mark

 

Thanks for the reply. The error I am getting is in 10.2.1179 SDK. I just can't install API level as it comes up with:

 

An internal error occurred during: "API level modification".
Profile not locked due to exception: C:\bbndk102\p2\org.eclipse.equinox.p2.engine\profileRegistry\DefaultProfile.profile\.lock (Access is denied)

 

All firewalls are switched off, i think it is a local access issue.

 

Thanks

 

Stuart

BlackBerry Development Advisor
Posts: 15,784
Registered: ‎07-09-2008
My Device: BlackBerry PRIV
My Carrier: Bell

Re: New 10.2 Gold install - API error

After reproducing that error, please click on the Help menu of the BlackBerry Native SDK and choose "Report Native SDK Bug".  That will submit log files to Issue Tracker.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
New Contributor
Posts: 8
Registered: ‎08-19-2013
My Device: Z10
My Carrier: O2

Re: New 10.2 Gold install - API error

I have just sumitted it. Thanks

 

Stuart

BlackBerry Development Advisor
Posts: 15,784
Registered: ‎07-09-2008
My Device: BlackBerry PRIV
My Carrier: Bell

Re: New 10.2 Gold install - API error

Thank you for submitting the log files.  I've sent them to our development team for investigation.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
BlackBerry Development Advisor
Posts: 15,784
Registered: ‎07-09-2008
My Device: BlackBerry PRIV
My Carrier: Bell

Re: New 10.2 Gold install - API error

This appears to be caused by a file permission issue.  There are write access errors trying to perform the update.  Did you install the BlackBerry Native SDK with one user account (i.e. an admin) and are trying to update the API level with another account?

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
New Contributor
Posts: 8
Registered: ‎08-19-2013
My Device: Z10
My Carrier: O2

Re: New 10.2 Gold install - API error

To be honest I can't remember if I installed for just my user account (there is only one user account on the PC) or for all. I think maybe just my user account, there is a RIM folder in the local settings under my user account. However I do also have 10.1 installed too and that could be from that.

 

I'm more than happy to uninstall and re-install for all users if it helps. In fact if you want me to uninstall both SDKs and reinstall the 10.2 for all users.

 

Stuart

BlackBerry Development Advisor
Posts: 15,784
Registered: ‎07-09-2008
My Device: BlackBerry PRIV
My Carrier: Bell

Re: New 10.2 Gold install - API error

Do you have an admin user you can log in as and attempt the update?  That'd be a good test to check this.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
New Contributor
Posts: 8
Registered: ‎08-19-2013
My Device: Z10
My Carrier: O2

Re: New 10.2 Gold install - API error

The one account I have created does have administration access. Not sure if I have mentioned I'm using windows 8.
I can create another account called admin if you like?